=== debian/changelog ===
munin (2.0.25-2) unstable; urgency=medium

  [ Holger Levsen ]
  * munin-async.README.Debian: Fix two typos, thanks to Francois Gouget.
    (Closes: #767861)

  [ gregor herrmann ]
  * [be02507] Fix "FTBFS with perl 5.22 (Module::Build)":

  [ Stig Sandbeck Mathisen ]
  * [bd20b96] Import RELEASE from upstream tarball (fix bad merge)
  * [a14bbe5] Remove obsolete depedency perl-modules | libparse-recdescent-perl.
    Thanks to gregor herrmann (Closes: #797081)
  * [d947b2f] Do not purge directories potentially owned by other packages.
    Thanks to Andreas Beckmann (Closes: #793864)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 30 Aug 2015 10:07:21 +0200

munin (2.0.25-1) unstable; urgency=medium

  * New upstream bugfix release, see upstream ChangeLog for full list of
    changes. (Closes: #769415, #770745, #770746, #770826, #767017).
  * munin.README.Debian: Replace link to
    http://munin-monitoring.org/wiki/Documentation with one to the new
    http://guide.munin-monitoring.org/ which is better structured and also
    translated.

 -- Holger Levsen <holger@debian.org>  Thu, 27 Nov 2014 20:51:49 +0100

munin (2.0.24-1) unstable; urgency=medium

  * Ensure consistent use of /etc/default/munin-node (Closes: #764594)
  * Add documentation links to systemd services
  * Fix the "apt_all update" cron job (Closes: 761366)
  * Declare compliance with Debian policy 3.9.6
  * Imported upstream release 2.0.24

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 26 Oct 2014 16:24:12 +0100

munin (2.0.23-1) unstable; urgency=medium

  * New upstream release. This time including commit 9fabbe7 which is the
    bugfix for Perl 5.20 and CGI. (Closes: #762796)

 -- Holger Levsen <holger@debian.org>  Fri, 17 Oct 2014 11:09:40 +0200

munin (2.0.22-1) unstable; urgency=low

  [ Holger Levsen ]
  * New upstream release, stable bugfix release supporting Perl 5.20.
    (Closes: #675318, #711465, #750954, #751190, #753506, #761841, #762904)
  * debian/control:
    - Add alternative depends on ttf-dejavu to ease backports to wheezy.
    - Add suggests to libnet-dns-perl to munin-plugins-core. (Closes: #705260)
    - Move suggests to libcache-cache-perl and libdbd-mysql-perl from munin-node
      to munin-plugins-extra. (Closes: #698078)

  [ Stig Sandbeck Mathisen ]
  * Depend on virtual package "cron-daemon" instead of "cron" (Closes: #760272)

 -- Holger Levsen <holger@debian.org>  Fri, 17 Oct 2014 00:46:31 +0200
