=== debian/tests/control ===
Tests: run-tests
Depends: @,perl,netcat-openbsd,daemontools
Restrictions: needs-root breaks-testbed isolation-container
