## munin 2.0.33

=== debian/changelog ===
munin (2.0.33-1) unstable; urgency=medium

  * New upstream release. (Closes: #856536) 

 -- Holger Levsen <holger@debian.org>  Fri, 03 Mar 2017 23:44:55 +0100

munin (2.0.32-1) unstable; urgency=medium

  * New upstream release. (Closes: #856455)

 -- Holger Levsen <holger@debian.org>  Wed, 01 Mar 2017 22:30:35 +0100

munin (2.0.31-1) unstable; urgency=medium

  * New upstream release, fixing CVE-2017-6188. (Closes: #855705)

 -- Holger Levsen <holger@debian.org>  Sat, 25 Feb 2017 23:24:27 +0100

munin (2.0.30-1) unstable; urgency=medium

  * New upstream release.

 -- Holger Levsen <holger@debian.org>  Sat, 21 Jan 2017 12:58:51 +0100

munin (2.0.29-1) unstable; urgency=medium

  * New upstream version. (Closes: #847649, #849383)
  * Replace dependency on ttf-dejavu | fonts-dejavu with a dependency on
    fonts-dejavu-core.

 -- Holger Levsen <holger@debian.org>  Mon, 02 Jan 2017 13:20:29 +0100

munin (2.0.28-1) unstable; urgency=medium

  * New upstream version. (Closes: #846391, #598554), see upstream ChangeLog
    for details.

 -- Holger Levsen <holger@debian.org>  Tue, 06 Dec 2016 13:15:50 +0100

munin (2.0.27-1) unstable; urgency=medium

  * New upstream version, (Closes: #767032, #768553, #825136, #834194), see
    upstream ChangeLog for details.

 -- Holger Levsen <holger@debian.org>  Mon, 31 Oct 2016 21:59:54 +0100

munin (2.0.26-4) unstable; urgency=medium

  * Fix brown paper bag bug: set "Multi-Arch: foreign" for munin-doc.

 -- Holger Levsen <holger@debian.org>  Thu, 20 Oct 2016 18:38:19 +0200

munin (2.0.26-3) unstable; urgency=medium

  * Add depends to lsb-base to munin and munin-async, thanks lintian.
  * Change munin-node's depends on mysql-client to default-mysql-client,
    thanks lintian.
  * Set "Multi-Arch: same" for munin-doc.
  * Remove Breaks: and Replaces: on munin* packages lower than 2.0, those are
    not even part of oldstable. Also remove all "Provides: munin-plugins"
    except one.

 -- Holger Levsen <holger@debian.org>  Wed, 19 Oct 2016 23:26:07 +0200

munin (2.0.26-2) unstable; urgency=medium

  * Fix typos in munin.NEWS and munin-node.README.Debian, thanks lintian.
  * Depend on cron | cron-daemon to list a non virtual package first, thanks
    lintian.

 -- Holger Levsen <holger@debian.org>  Thu, 29 Sep 2016 12:13:20 +0200

munin (2.0.26-1) unstable; urgency=medium

  [ Stig Sandbeck Mathisen ]
  * Fix path and whitespace in munin-async README.
    Thanks to Francois Gouget (Closes: #798599)
  * Plugin config: Exclude /run/user from the df* plugins.
    Thanks to Jan-Philip Gehrcke (Closes: #788736)

  [ Holger Levsen ]
  * Imported new upstream release 2.0.26
  * Bump standards-version to 3.9.8, no changes necessary.
  * Fix spelling error in debian/changelog, thanks lintian.
  * Fix "FTBFS with '.' removed from perl's @INC": add patch from 
    Dominic Hargreaves to call perl with "-I.". (Closes: #835206)
  * Bump debian/compat to 9 and require debhelper >= 9.
  * Drop debian/patches/0001-http_loadtime-plugin-Fix-several-bugs.patch as it
    was merged upstream.

 -- Holger Levsen <holger@debian.org>  Fri, 23 Sep 2016 21:12:31 +0200
