=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  htmldoc,
  perl,
 Build-Depends:
- debhelper (>=8),
+ debhelper (>=9),
  dh-systemd (>= 1.4),
  libmodule-build-perl,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://munin-monitoring.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/munin.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/munin.git
@@ -24,7 +24,7 @@
 Depends: ${misc:Depends}, ${perl:Depends},
  gawk,
  libnet-server-perl,
- lsb-base (>= 3.2-4),
+ lsb-base (>= 4.1),
  munin-common (>= ${binary:Version}),
  munin-plugins-core,
  procps,
@@ -43,7 +43,7 @@
  logtail,
  munin,
  munin-plugins-java,
- mysql-client,
+ default-mysql-client,
  net-tools,
  python,
  ruby,
@@ -65,12 +65,8 @@
 Package: munin-plugins-core
 Provides: munin-plugins
 Replaces:
- munin-node (<<1.999.4548-3~),
- munin-plugins (<<1.999.4548-3~),
  munin-plugins-extra (<<2.0.21-1),
 Breaks:
- munin-node (<<1.999.4548-3~),
- munin-plugins (<<1.999.4548-3~),
  munin-plugins-extra (<<2.0.21-1),
 Architecture: all
 Depends: ${perl:Depends}, ${misc:Depends}, munin-common (>= ${binary:Version})
@@ -108,7 +104,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends}, munin-common (>= ${binary:Version})
 Suggests: libnet-netmask-perl, python, libnet-telnet-perl
-Provides: munin-plugins
 Description: network-wide graphing framework (user contributed plugins for node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -126,9 +121,6 @@
 Depends: ${misc:Depends},
  default-jre-headless | java6-runtime-headless | java5-runtime-headless | java2-runtime-headless,
  munin-common (>= ${binary:Version}),
-Provides: munin-plugins
-Replaces: munin-java-plugins (<<1.999.4548-3~)
-Breaks: munin-java-plugins (<<1.999.4548-3~)
 Description: network-wide graphing framework (java plugins for node)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
@@ -144,8 +136,9 @@
 Package: munin
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
- cron-daemon,
- fonts-dejavu | ttf-dejavu,
+ lsb-base (>= 4.1),
+ cron | cron-daemon,
+ fonts-dejavu-core,
  libdate-manip-perl,
  libdigest-md5-perl,
  libfile-copy-recursive-perl,
@@ -199,6 +192,7 @@
 Package: munin-async
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
+ lsb-base (>= 4.1),
  adduser,
  munin-common (>= ${binary:Version}),
  munin-node,
@@ -217,9 +211,8 @@
 Package: munin-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${perl:Depends}, ${misc:Depends}
-Breaks: munin-common (<< 2)
-Replaces: munin-common (<< 2)
 Description: network-wide graphing framework (documentation)
  Munin is a highly flexible and powerful solution used to create graphs of
  virtually everything imaginable throughout your network, while still
